org.apache.lucene.analysis.ja

## Class JapaneseTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.ja.JapaneseTokenizerFactory

- All Implemented Interfaces:
    ResourceLoaderAware

      public class JapaneseTokenizerFactory
      extends TokenizerFactory
      implements ResourceLoaderAware

  Factory for `JapaneseTokenizer`.

       <fieldType name="text_ja" class="solr.TextField">
         <analyzer>
           <tokenizer class="solr.JapaneseTokenizerFactory"
             mode="NORMAL"
             userDictionary="user.txt"
             userDictionaryEncoding="UTF-8"
             discardPunctuation="true"
           />
           <filter class="solr.JapaneseBaseFormFilterFactory"/>
         </analyzer>
       </fieldType>

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `args, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JapaneseTokenizerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tokenizer` | `create(Reader input)`
    `void` | `inform(ResourceLoader loader)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

      `availableTokenizers, forName, lookupClass, reloadTokenizers`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JapaneseTokenizerFactory

          public JapaneseTokenizerFactory()

  - ### Method Detail

    - #### inform

          public void inform(ResourceLoader loader)
                      throws IOException

      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

    - #### create

          public Tokenizer create(Reader input)

      Specified by:
        `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.